Bug 1268065 - linux_logo uses an arbitrary (possibly non-Linux) logo by default
linux_logo uses an arbitrary (possibly non-Linux) logo by default
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linux_logo (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7ppc64le
  Show dependency treegraph
 
Reported: 2015-10-01 14:08 EDT by Richard Fearn
Modified: 2015-12-10 04:23 EST (History)
2 users (show)

See Also:
Fixed In Version: linux_logo-5.11-12.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-11 12:04:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Fearn 2015-10-01 14:08:48 EDT
The Fedora linux_logo package compiles in all available logos, but not in a fixed order. This means the default logo is arbitrary and probably not appropriate - for example, Source Mage on F22, or Solaris on F23.

See this post on the devel list, which explains how the logos are found:

  https://lists.fedoraproject.org/pipermail/devel/2015-October/215262.html
Comment 1 Matthias Saou 2015-10-05 03:46:23 EDT
Thanks for figuring that out, as well as suggesting ways to solve the issue :-) I'll have a look at it.
Comment 2 Fedora Update System 2015-10-06 11:01:24 EDT
linux_logo-5.11-12.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-409b04edfc
Comment 3 Fedora Update System 2015-10-06 11:01:30 EDT
linux_logo-5.11-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-db607f0ae2
Comment 4 Fedora Update System 2015-10-07 12:27:52 EDT
linux_logo-5.11-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update linux_logo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-db607f0ae2
Comment 5 Fedora Update System 2015-10-07 15:18:50 EDT
linux_logo-5.11-12.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update linux_logo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-409b04edfc
Comment 6 Fedora Update System 2015-10-07 15:19:52 EDT
linux_logo-5.11-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update linux_logo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-db29761127
Comment 7 Fedora Update System 2015-10-11 12:04:25 EDT
linux_logo-5.11-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Yaakov Selkowitz 2015-12-10 04:23:01 EST
This update is required to build on epel7 ppc64le, but it has yet to be made stable.  (Unfortunately, the build still fails on aarch64 for both Fedora and EPEL, but that's a separate issue.)

Note You need to log in before you can comment on or make changes to this bug.